Subject: trouble cross-compiling with latest cygwin and popt.1.6.4-4
From: Christophe Trophime <[email-masked]>
To: [email-masked]
Date: 04 Apr 2003 11:30:31 +0200

I am trying to cross-compile some in-house code
to latest cygwin 1.8.22-1. I need to link the executables
with popt. So I rebuild popt using popt.1.6.4-src.tar.gz package.
Note that I manage to cross-compile with previous version 1.8.19.

I manage to get the libpopt.dll.a.
But now when I try to compile test programs provided in the popt package
I end up with undefined symbols in libpopt.dll.a:

fu000001.o(.idata$3+0xc): undefined reference to
`__libs_libpopt_dll_a_iname'
nmth000000.o(.idata$4+0x0): undefined reference to
`__nm__poptHelpOptions'
Info: resolving _poptHelpOptions by linking to __imp__poptHelpOptions
(auto-import)
collect2: ld returned 1 exit status

If I link test*.c with cygpopt0.dll I get no error.

So my question is :
What has changed?
Do I have to link against cygxxx.dll or libxxx.dll.a?

I use binutils-20030307-1-src.tar.bz and gcc-3.2-3-src.tar.bz2 to get
the cross compiler tools (rebuild with cygwin 1.8.22, w32api 2.3-1)

I use the following linux rpm packages :
automake-1.6.3-1
autoconf-2.53-8 
libtool-1.4.3-5

-- 
Christophe Trophime <[email-masked]>
LCMI

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/